Page MenuHomePhabricator

Big English Mobile App Fundraising ideas
Closed, ResolvedPublic

Description

Hey everyone

The fundraising team would like to run mobile app banners as part of the Big English 2017 campaign, launching November 28th.

As @jrobell previously mentioned: Donation numbers were low last year and given that we can't do any real A/B testing, we all agree not to spend signifiant design resources on it.

Rita (@RHo), Carolyn (@cmadeo) and me had discussion about it on a Hangouts call today. Rita (Android) and Carolyn (iOS) are going to work on designs for the 2017 app banners.

I understand that @JMinor is responsible from the tech side. We would like to further explore the following ideas, but weren’t quite sure if it’s feasible within the time given from a technical point of view.

  • The „Nag“ (a fixed header, footer or side element) is extremely effective in all of our web banners. Here’s an example banner with a nag (close the banner first and scroll down). We would like to incorporate such an element into our mobile app banners too. Is that feasible within the given time, e.g. with an existing standard element on both iOS and Android?
  • One other thing that we saw working our web banners is usage of simple variables in the copy. Specifically we’re interested to incorporate these variables:
    • „Dear Readers in the %COUNTRY%,
    • „This %WEEKDAY%, we ask you to help Wikipedia.“

If we don’t have time for these ideas, we will just use last years work as a template and replace imagery and copy.

@RHo mentioned she’s also exploring on creating an animated gif for the feed and sees potential, since it’d stand out in the card feed.

In terms of copy, I highly encourage @jrobell @spatton @TSkaff to weigh in here. What are your thoughts on length, style and the aforementioned variables (%COUNTRY%, %WEEKDAY%) of it? Feel free to add your suggestions in this card.

Thanks everyone for your participation.

Robin

Additional resources

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
schoenbaechler added a comment.EditedNov 16 2017, 11:39 PM

Maybe these stickers could be of use to you @RHo @cmadeo. An external agency (iA) created them for us in the course of the fundraiser in Japan. We can use them with a CC BY-SA 4.0 license.

Download link:

https://www.dropbox.com/sh/5upzyjgz1u4ddt0/AACK6QmxhKgJr0UoRIdA_EOXa?dl=0

(added it to the "Additional resources" list in the task description as well)

schoenbaechler updated the task description. (Show Details)

Thanks so much for starting this Robin! Sam/Jessica & I will chat about copy--I imagine it makes most sense to use our winning mobile small copy. But we can confirm in Tuesday's meeting; I'll put on the agenda.

Thank you very much @schoenbaechler and all! I agree to talk copy on tomorrow's call. Would you be able to give us a sense of how much copy we will be able to fit into this year's designs?

Also, @JMinor Just checking that we are on track to get these deployed in time for them to go live on 11/28 (in a week)?

Thank you!

Hey @jrobell, thanks for the feedback. Concerning length, last year's copy was 32 words long (169 chars):

«We'll get right to it: Today we ask you to help Wikipedia. We're sustained by donations averaging about $15. If we all gave $3, the fundraiser would be over in an hour.»

@RHo & @cmadeo, How much wiggle room do we have in terms of copy length? Is there a max height for cards in the feed? If not, is it possible to double its length to e.g. 64 words? Our experience shows that more information / clarification helps in onboarding donors.

@jrobell

Just to clarify. Is it planned to run mobile app banners for the same amount of time as mobile web banners in Big English? So the exact start date for both would be November 28, 2017?

I'm asking since it seems that last year's mobile app banners only ran for one week (December 15 to 21, 2016).

RHo added a comment.Nov 20 2017, 1:23 PM

hi @schoenbaechler - afaik there is no max height for cards. The image for mobile app banners fit height so there's also the option to include a shorter image, or even to have no image at all if a text-only version is preferred.

Thank you for your questions and clarifications @schoenbaechler . We are planning to launch desktop banners on 11/28 and mobile web banners on 11/30 if everything goes according to plan. I would suggest that we launch mobile app banners at the same time as mobile web on 11/30, is that seems like a feasible timeline for the reading team.

@RHo, thanks for the feedback, that's good to know.

(...) or even to have no image at all if a text-only version is preferred.

Glad you brought that up. @spatton and I further discussed this earlier. We would actually prefer a version without illustration since we have no recent proof where imagery like this worked. We know from our Facebook campaign that copy and selected photography works, here’s an example.

@RHo and @cmadeo, can you prioritize designs without any illustration? (copy, [optional photography], call to action). We’re also highly interested in incorporating the %COUNTRY% and %WEEKDAY% variables into the copy (CCing @JMinor).

JMinor renamed this task from Big English Mobile App Fundraising 2017 to Big English Mobile App Fundraising ideas 2017.Nov 20 2017, 9:40 PM

Hey all, sorry to not step in earlier. We agreed earlier this year that we would run a small test in France, and participate in Big English. At the time, we discussed that no additional features or tech work was planned for the app, just to use the existing limited framework, but at a different time (last year we were late in the raise, this time we decided to do it at the same time as mobile web). There was also discussion of the possibility of some limited a/b testing, but that project is not progressed enough to do it this year.

So... while these are great ideas, and reasonable requests, I've gone ahead and created a simple parent task focused just on the basic announcement to be run soon. Please take a look at that task and fill in the copy, URLs and verify the button text and privacy stuff are correct.

On the specifics:

  • If we want to do market specific messages, we can run multiple, targeted messages simultaneously (just copy/paste the needed info in that parent ticket and tell us which countries should get what message. We do not support macros such as "%COUNTRY%"
  • Illustration is optional. We did it last year, but we're happy to not this year. If you want to use an image from commons, incude that in the parent ticket under "image url". We can work on sizing/cropping if needed.
  • There is no vertical height limit, but I'd suggest not more than doubling the text. This has less to do with message, but just because the card is likely to not even fit on the screen if it is too long.
  • A nag is a fine idea, but not currently supported.

Thanks your reply @JMinor, it’s great to know what we can do and what not this year. We will take these infos and discuss it with the banner team today!

Hey @JMinor, we were just wondering, is a cookie set in the app to stop people from seeing the banner after they've donated? Thanks for the info.

Hey @Pcoombe, I was wondering about the Android and iOS target URL. We probably have to generate that for this year's campaign, right? Could you provide these, please? Thanks!

JMinor renamed this task from Big English Mobile App Fundraising ideas 2017 to Big English Mobile App Fundraising ideas.Dec 12 2017, 9:42 PM
Pcoombe closed this task as Resolved.Jan 4 2018, 6:54 PM